Bug 490318 - Review Request: frescobaldi - Edit LilyPond sheet music with ease!
Review Request: frescobaldi - Edit LilyPond sheet music with ease!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On: 490317
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 04:48 EDT by Orcan Ogetbil
Modified: 2009-04-15 14:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.8-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 13:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-15 04:48:25 EDT
Spec URL: http://oget.fedorapeople.org/review/frescobaldi.spec
SRPM URL: http://oget.fedorapeople.org/review/frescobaldi-0.7.7-1.src.rpm
Description: 
Frescobaldi is a LilyPond sheet music editor for KDE4. It aims to be powerful,
yet lightweight and easy to use. It features:

    * Enter LilyPond scores, build and preview them with a mouseclick
    * Point-and-click support: click on notes or error messages to jump to the
      correct position
    * A powerful Score Wizard to quickly setup a musical score
    * Editing tools to:
          o manipulate the rhythm
          o hyphenate lyrics
          o quickly enter or add articulations and other symbols to existing
            music
          o run the document through convert-ly to update it to a newer
            LilyPond version
    * Context sensitive autocomplete, helping you to quickly enter LilyPond
      commands
    * Expansion manager to enter larger snippets of LilyPond input using short
      mnemonics
    * A powerful Rumor plugin, using the Rumor program to quickly enter music
      by playing it on a MIDI keyboard or even your computer keyboard
    * Built-in comprehensive User Guide
Comment 1 Orcan Ogetbil 2009-03-15 11:51:11 EDT
I forgot to add the rpmlint output:

frescobaldi.noarch: W: dangling-relative-symlink /usr/share/doc/HTML/en/frescobaldi/common ../common

This is false alarm since the symlink points to an existing location (/usr/share/doc/HTML/en/common is owned in the dependency chain).
Comment 2 Christian Krause 2009-03-16 20:36:57 EDT
Here are just a few minor issues I've found - the complete review will follow tomorrow (so far I haven't seen any other issues):

* License: TODO
- actual license matches License field
- "Public Domain" should be added to the License field, too
- License file packaged

* build requirements: TODO
- probably dbus-python and gettext can be ommited (builds fine without these tools)
Comment 3 Christian Krause 2009-03-17 18:27:04 EDT
Here now the complete review. As far as I can see there are just some very minor issues.

* naming: OK

* spec filename: OK

* License: TODO
- actual license matches License field
- probably "Public Domain" could be added to the License field, too
- License field packaged

* sources: OK
- matches upstream:
e06055e2300a3705daf7895953042f3e  frescobaldi-0.7.7.tar.gz
- spectool -g works

* rpmlint: OK
rpmlint SPECS/frescobaldi.spec RPMS/noarch/frescobaldi-0.7.7-1.noarch.rpm SRPMS/frescobaldi-0.7.7-1.src.rpm
frescobaldi.noarch: W: dangling-relative-symlink /usr/share/doc/HTML/en/frescobaldi/common ../common
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

The error is a false positive, since the linked target is owned by
kdelibs-common which is required by kdelibs which is required by kdebase-libs which is required by kdebase which is a direct requirement. ;-)

* dependencies: note: the package needs "rumor" for proper installation

* package builds locally: OK

* package builds in mock: OK

* package builds for F9, F10 and F11: OK

* build requirements: TODO
- probably dbus-python and gettext can be ommited (builds fine without these tools)

* locale handling: OK

* no dynamic libs

* directory ownership: OK
- owns all directories it creates or requires the owners

* files not listed twice: OK

* permissions: OK, %defattr used

* clean section: OK

* macros consistently used: OK

* code vs. content: OK (besides some icons, no content)

* large documentation in -doc subpackage: OK (n/a, documentation about 230kB)

* *.la files, pkgconfig, static libs, headers, shared libs: OK (n/a, noarch package)

* .desktop file: TODO
- desktop file exists
- however, there is no entry in the menu when running gnome; I would suggest adding the gnome category

* rm -rf in %install: OK

* scriptlets: OK
- update-desktop-database called, since .desktop contains MimeType key
- correctly not in Requires(post) according to: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
- gtk-update-icon-cache called correctly

* filenames UTF8: OK (rpmlint did not complain)

* final Requires: OK
/bin/sh
/usr/bin/python2.5
PyKDE4
alsa-utils
kdebase
kdegraphics
kdesdk
lilypond
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rumor
timidity++

* functional test: OK
- basic functions work
Comment 4 Orcan Ogetbil 2009-03-17 20:02:02 EDT
(In reply to comment #3)

Thanks a lot for the review!

> 
> * License: TODO
> - actual license matches License field
> - probably "Public Domain" could be added to the License field, too
> - License field packaged
> 

added

> * build requirements: TODO
> - probably dbus-python and gettext can be ommited (builds fine without these
> tools)
> 

dbus-python removed (it is being pulled up by PyKDE4). rawhide build fails without gettext, so I kept that one.

> 
> * .desktop file: TODO
> - desktop file exists
> - however, there is no entry in the menu when running gnome; I would suggest
> adding the gnome category
> 

I added the AudioVideo category. It should go to the Multimedia group now.

updated files:
Spec URL: http://oget.fedorapeople.org/review/frescobaldi.spec
SRPM URL: http://oget.fedorapeople.org/review/frescobaldi-0.7.7-2.fc10.src.rpm

Changelog: 0.7.7-2
- Remove BuildRequires:  dbus-python
- Fix the year of the previous changelog entry
- Add "Public Domain" to the license tag
- Add AudioVideo category to the .desktop file
- Add disttag
Comment 5 Christian Krause 2009-03-18 18:33:36 EDT
I've reviewed the new package:

1. During testing I've discovered that the menu entry in gnome's menu doesn't display the icon correctly although there is no problem in KDE's menu. It looks like that gnome cannot handle compressed svg icons. I've filed #491016 to track this issue. However, this will not block this review. If for whatever reason the bug in gnome's menu will not be fixed within a reasonable time, the problem can be still fixed in this package.

2. License: FIXED

3. BR: FIXED, package still builds in F10 and F11

4. desktop file: FIXED, frescobaldi appears in the menu correctly

That's all. 

APPROVED.
Comment 6 Orcan Ogetbil 2009-03-18 18:44:21 EDT
Once again, thanks a lot!

New Package CVS Request
=======================
Package Name: frescobaldi
Short Description: Edit LilyPond sheet music with ease!
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-19 22:49:22 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-01 13:48:07 EDT
frescobaldi-0.7.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/frescobaldi-0.7.8-1.fc10
Comment 9 Fedora Update System 2009-04-01 13:49:03 EDT
frescobaldi-0.7.8-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/frescobaldi-0.7.8-1.fc9
Comment 10 Fedora Update System 2009-04-02 13:10:28 EDT
frescobaldi-0.7.8-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update frescobaldi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3174
Comment 11 Fedora Update System 2009-04-02 13:13:23 EDT
frescobaldi-0.7.8-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update frescobaldi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3196
Comment 12 Fedora Update System 2009-04-15 13:58:38 EDT
frescobaldi-0.7.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-04-15 14:00:10 EDT
frescobaldi-0.7.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.